// IViewCaptureDlg.h : header file
//

#if !defined(AFX_IVIEWCAPTUREDLG_H__4D8CE93E_A87B_46A9_B876_371CF52A4829__INCLUDED_)
#define AFX_IVIEWCAPTUREDLG_H__4D8CE93E_A87B_46A9_B876_371CF52A4829__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// IViewCaptureDlg dialog

class IViewCaptureDlg : public CDialog
{
// Construction
public:
	IViewCaptureDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(IViewCaptureDlg)
	enum { IDD = IDD_IVIEWCAPTURECOMPANION_DIALOG };
	CButton	m_radioSettingOpenInIview;
	CEdit	m_editSettingPath;
	CButton	m_btnSettingBrowse;
	BOOL	m_bOpenInIview;
	CString	m_strIviewPath;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IViewCaptureDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CSystemTray m_TrayIcon;
	CString	m_iviewPath;
	BOOL	m_openInIview;

    void UpdateImage(HBITMAP hImage);
	HBITMAP CopyBitmap(HBITMAP hbm);
	bool IsSettingsOk();
    void UpdateDib(HANDLE hDib);

	// Generated message map functions
	//{{AFX_MSG(IViewCaptureDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnSnapDesktop();
	afx_msg void OnSnapWindow();
	afx_msg void OnSnapRegion();
	afx_msg void OnMeasure();
	afx_msg void OnColorPick();
	afx_msg void OnSettings();
	afx_msg void OnAbout();
	afx_msg void OnExit();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSettingBrowse();
	afx_msg void OnSettingOpenInIview();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IVIEWCAPTUREDLG_H__4D8CE93E_A87B_46A9_B876_371CF52A4829__INCLUDED_)
