 /*---------------------------------------------------------------------------
|                                grebulon.com                                 |
|                    Screen region capture plugin for IrfanView               |
|                                code based on                                |
|       http://www.codeproject.com/KB/gadgets/Screen_Snaper_Gadget.aspx       |
|--------------------------------------+--------------------------------------|
|                                  DCUtility                                  |
|    SolutionName : ScreenSnaperGadget                                        |
|    ProjectName  : Helper                                                    |
|    FileName     : WinCapture.cpp                                            |
|    CreationDate : 2007-03-07                                                |
|    Author       : Dany Cantin                                               |
|    Comments     : dcutility@hotmail.com                                     |
|--------------------------------------+--------------------------------------|
|                             Screen Capture Tool                             |
|                         Windows Vista SideBar Gadget                        |
|--------------------------------------+--------------------------------------|
|                          Copyright  2007 DCUtility                         |
|                              All rights reserved.                           |
 ---------------------------------------------------------------------------*/
#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN
#endif

#ifndef WINVER
//#define WINVER 0x0501
//#define WINVER 0x0400
#define WINVER 0x0500
#endif

#ifndef _WIN32_WINNT
//#define _WIN32_WINNT 0x0501
//#define _WIN32_WINNT 0x0400
#define _WIN32_WINNT 0x0500
#endif                        

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS

#include <afxwin.h>
//#include <afxext.h>

#ifndef _AFX_NO_AFXCMN_SUPPORT
//#include <afxcmn.h>
#endif

#define INVALID_COLOR	((COLORREF)-1)

#ifdef __cplusplus
extern "C" {
#endif

    enum eSnapType { CT_REGION = 0, CT_DESKTOP = 1, CT_COLOR_PICK = 2, CT_MEASURE = 3 };
	HANDLE GetRegionCapture(int param1, char *textBuffer);
	COLORREF GetColorPick(int param1, char *textBuffer);
	LONG GetMeasure(int param1, char *textBuffer);

#ifdef __cplusplus
}
#endif